ONVIF::Media::Types::PTZPresetTourSupported(3)

NAME
ONVIF::Media::Types::PTZPresetTourSupported

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZPresetTourSupported from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   MaximumNumberOfPresetTours

•   PTZPresetTourOperation

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::PTZPresetTourSupported
   MaximumNumberOfPresetTours =>  $some_value, # int
   PTZPresetTourOperation => $some_value, # PTZPresetTourOperation
   Extension =>  { # ONVIF::Media::Types::PTZPresetTourSupportedExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL